Package Details: wattman-gtk-git r101.6360fab-1

Git Clone URL: https://aur.archlinux.org/wattman-gtk-git.git (read-only, click to copy)
Package Base: wattman-gtk-git
Description: GTK GUI to view, monitor, and overclock a Radeon GPU on Linux
Upstream URL: https://github.com/BoukeHaarsma23/WattmanGTK
Licenses: GPLv2
Conflicts: wattman-gtk
Provides: wattman-gtk
Submitter: pyamsoft
Maintainer: None
Last Packager: parkerlreed
Votes: 12
Popularity: 0.005529
First Submitted: 2018-11-05 04:03 (UTC)
Last Updated: 2018-11-12 19:11 (UTC)

Latest Comments

tiago0289 commented on 2022-01-19 12:36 (UTC)

The project is abandoned, last commit is from 2019.

electricprism commented on 2021-12-29 03:09 (UTC)

@reactormonk -- I tried swapping the repos in the PKGBUILD but I get the same error:

Please use python version 3.6 and up

reactormonk commented on 2021-05-02 20:08 (UTC)

The original author has abandoned the package, https://github.com/HakaruN/WattmanGTK looks like the newest fork.

murlakatamenka commented on 2021-01-13 01:19 (UTC)

Missing dependency: appmenu-gtk-module

Depau commented on 2020-07-21 21:18 (UTC)

Hi, this package depends on python-pillow.

friday13 commented on 2019-06-26 01:10 (UTC)

It's already been reported https://github.com/BoukeHaarsma23/WattmanGTK/issues/71

parkerlreed commented on 2019-06-20 21:39 (UTC)

It's already been reported https://github.com/BoukeHaarsma23/WattmanGTK/issues/66

parkerlreed commented on 2019-06-20 21:38 (UTC)

This isn't the fault of the AUR package. Report this to upstream. I am not the dev.

laarSn commented on 2019-06-20 21:14 (UTC) (edited on 2019-06-20 21:18 (UTC) by laarSn)

Hi, not even able to load it propely in latest arch linux...Please update or delete...

Traceback (most recent call last): File "/usr/bin/wattmanGTK", line 11, in <module> load_entry_point('WattmanGTK==0.0.1', 'console_scripts', 'wattmanGTK')() File "/usr/lib/python3.7/site-packages/WattmanGTK/wattman.py", line 174, in main Plot0 = Handler0.init_plot(0, maxpoints, precision, linux_kernelmain, linux_kernelsub) File "/usr/lib/python3.7/site-packages/WattmanGTK/handler.py", line 72, in init_plot self.plot = Plot(self.builder, self.GPUs, maxpoints, precision, linux_kernelmain, linux_kernelsub) File "/usr/lib/python3.7/site-packages/WattmanGTK/plot.py", line 58, in init self.Plotsignals = self.init_signals(self.GPU) File "/usr/lib/python3.7/site-packages/WattmanGTK/plot.py", line 100, in init_signals self.add_available_signal(GPU.sensors, Plotsignals, hwmonpath=GPU.hwmonpath) File "/usr/lib/python3.7/site-packages/WattmanGTK/plot.py", line 156, in add_available_signal self.add_available_signal(value, Plotsignals, hwmonpath=hwmonpath, subsystem=subsystem, stop_recursion = stop_recursion) File "/usr/lib/python3.7/site-packages/WattmanGTK/plot.py", line 156, in add_available_signal self.add_available_signal(value, Plotsignals, hwmonpath=hwmonpath, subsystem=subsystem, stop_recursion = stop_recursion) File "/usr/lib/python3.7/site-packages/WattmanGTK/plot.py", line 151, in add_available_signal Plotsignals.append(Plotsignal(signallabel, subsystem_unit_color[subsystem]["unit"], KeyError: ''

.....Then ....nothing: no gui, no nothing... sensors and 3xVega are detected...

VoodaGod commented on 2019-03-26 11:09 (UTC)

I got "Gtk-Message: 12:05:24.798: Failed to load module "appmenu-gtk-module", installing "appmenu-gtk-module" fixed that

mardab commented on 2019-01-30 00:19 (UTC)

Dear maintainer, could you add a desktop menu entry generation or at least an alias to the pkgbuild?

parkerlreed commented on 2018-11-12 19:12 (UTC)

@fur Thanks. Adopted and fixed.

fur commented on 2018-11-12 18:24 (UTC)

@parkerlreed I have sent you an email.

parkerlreed commented on 2018-11-12 16:53 (UTC)

@fur The package is orphaned now. python-cairo needs to be added as a dependency. I can take up the maintain if needed. Let me know.

pyamsoft commented on 2018-11-10 16:16 (UTC)

I will be orphaning this PKGBUILD at the request of the creator.

Anyone who is willing is welcome to adopt it.

fur commented on 2018-11-10 15:30 (UTC)

Hi everyone,

I am the creator of WattmanGTK. Currently this PKGBUILD will not work properly. Please take a look at https://gist.github.com/BoukeHaarsma23/8c6d0b519615e5dc59a9a1e01cada758

For a PKGBUILD that will work. If pyamsoft could make me maintainer as well I can update the package accordingly.

Thanks!